angular.module("construcalc", ["ngCordova","ionic","ionMdInput","ionic-material","ion-datetime-picker","ionic.rating","utf8-base64","angular-md5","chart.js","pascalprecht.translate","tmh.dynamicLocale","construcalc.controllers", "construcalc.services"])
	.run(function($ionicPlatform,$window,$interval,$timeout,$ionicHistory,$ionicPopup,$state,$rootScope){

		$rootScope.appName = "ConstruCalc" ;
		$rootScope.appLogo = "data/images/AndroidIcon240x240.jpg" ;
		$rootScope.appVersion = "2.0" ;
		$rootScope.headerShrink = false ;

		$rootScope.liveStatus = "pause" ;
		$ionicPlatform.ready(function(){
			$rootScope.liveStatus = "run" ;
		});
		$ionicPlatform.on("pause",function(){
			$rootScope.liveStatus = "pause" ;
		});
		$ionicPlatform.on("resume",function(){
			$rootScope.liveStatus = "run" ;
		});

		$ionicPlatform.ready(function() {

			localforage.getItem('language_option', function(err, value) { sessionStorage.setItem('session_idioma_atual', value); });

			localforage.config({
				driver : [localforage.WEBSQL,localforage.INDEXEDDB,localforage.LOCALSTORAGE],
				name : "construcalc",
				storeName : "construcalc",
				description : "The offline datastore for ConstruCalc app"
			});

			if(window.cordova){
				$rootScope.exist_cordova = true ;
			}else{
				$rootScope.exist_cordova = false ;
			}
			//required: cordova plugin add ionic-plugin-keyboard --save
			if(window.cordova && window.cordova.plugins.Keyboard) {
				cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
				cordova.plugins.Keyboard.disableScroll(true);
			}

			//required: cordova plugin add cordova-plugin-statusbar --save
			if(window.StatusBar) {
				StatusBar.styleDefault();
			}
			// this will create a banner on startup
			//required: cordova plugin add cordova-plugin-admobpro --save
			if (typeof AdMob !== "undefined"){
				var admobid = {};
				admobid = {
					banner: "",
					interstitial: "",
					rewardvideo: ""
				};
				
				// BANNER
				$timeout(function(){
					try{
						AdMob.createBanner({
							adId: admobid.banner,
							overlap: false,
							autoShow: false,
							offsetTopBar: false,
							position: AdMob.AD_POSITION.BOTTOM_CENTER,
							bgColor: "black"
						});
					}catch(err){ 
						//alert(err.message);
					}
				}, 500);
				
				$ionicPlatform.on("pause",function(){
					try{
						AdMob.hideBanner();
					}catch(err){ 
						//alert(err.message);
					}
				});
				
				// interstitial
				$timeout(function(){
					try{
						AdMob.prepareInterstitial({
							adId: admobid.interstitial,
							autoShow: false,
						});
					}catch(err){ 
						//alert(err.message);
					}
					
				}, 500);
				
				// rewardvideo
				$timeout(function(){
					try{
						AdMob.prepareRewardVideoAd({
							adId: admobid.rewardvideo,
							autoShow: false,
						});
					}catch(err){ 
						//alert(err.message);
					}
				}, 500);
			}


			//required: cordova plugin add onesignal-cordova-plugin --save
			if(window.plugins && window.plugins.OneSignal){
				window.plugins.OneSignal.enableNotificationsWhenActive(true);
				var notificationOpenedCallback = function(jsonData){
					try {
						$timeout(function(){
							$window.location = "#/construcalc/" + jsonData.notification.payload.additionalData.page ;
						},200);
					} catch(e){
						console.log("onesignal:" + e);
					}
				}
				window.plugins.OneSignal.startInit("4317666e-1a37-46f4-9f7b-65aadedca356").handleNotificationOpened(notificationOpenedCallback).endInit();
			}


		});
		$ionicPlatform.registerBackButtonAction(function (e){
			if($ionicHistory.backView()){
				$ionicHistory.goBack();
			}else{
				localforage.getItem('language_option', function(err, value) { sessionStorage.setItem('session_idioma_atual', value); });
				var App_IdiomaAtual = sessionStorage.getItem("session_idioma_atual");
				if (App_IdiomaAtual == "en-us") {
					var confirmPopup = $ionicPopup.confirm({
						title: "Exit ConstruCalc",
						template: "Are you sure you want to exit ConstruCalc?"
					});
				} else if (App_IdiomaAtual == "es") {
					var confirmPopup = $ionicPopup.confirm({
						title: "Salir de ConstruCalc",
						template: "Está seguro de que desea salir de ConstruCalc?"
					});
				} else if (App_IdiomaAtual == "fr") {
					var confirmPopup = $ionicPopup.confirm({
						title: "Sortir de ConstruCalc",
						template: "Êtes-vous sûr de vouloir quitter ConstruCalc?"
					});
				} else {
					var confirmPopup = $ionicPopup.confirm({
						title: "Sair do ConstruCalc",
						template: "Tem certeza que deseja sair do ConstruCalc?"
					});
				}
				confirmPopup.then(function (close){
					if(close){
						ionic.Platform.exitApp();
					}
				});
			}
			e.preventDefault();
			return false;
		},101);
	})


	.filter("to_trusted", ["$sce", function($sce){
		return function(text) {
			return $sce.trustAsHtml(text);
		};
	}])

	.filter("trustUrl", function($sce) {
		return function(url) {
			return $sce.trustAsResourceUrl(url);
		};
	})

	.filter("trustJs", ["$sce", function($sce){
		return function(text) {
			return $sce.trustAsJs(text);
		};
	}])

	.filter("strExplode", function() {
		return function($string,$delimiter) {
			if(!$string.length ) return;
			var $_delimiter = $delimiter || "|";
			return $string.split($_delimiter);
		};
	})

	.filter("strDate", function(){
		return function (input) {
			return new Date(input);
		}
	})
	.filter("phpTime", function(){
		return function (input) {
			var timeStamp = parseInt(input) * 1000;
			return timeStamp ;
		}
	})
	.filter("strHTML", ["$sce", function($sce){
		return function(text) {
			return $sce.trustAsHtml(text);
		};
	}])
	.filter("strEscape",function(){
		return window.encodeURIComponent;
	})
	.filter("strUnscape", ["$sce", function($sce) {
		var div = document.createElement("div");
		return function(text) {
			div.innerHTML = text;
			return $sce.trustAsHtml(div.textContent);
		};
	}])

	.filter("stripTags", ["$sce", function($sce){
		return function(text) {
			return text.replace(/(<([^>]+)>)/ig,"");
		};
	}])

	.filter("chartData", function(){
		return function (obj) {
			var new_items = [];
			angular.forEach(obj, function(child) {
				var new_item = [];
				var indeks = 0;
				angular.forEach(child, function(v){
						if ((indeks !== 0) && (indeks !== 1)){
							new_item.push(v);
						}
						indeks++;
					});
					new_items.push(new_item);
				});
			return new_items;
		}
	})

	.filter("chartLabels", function(){
		return function (obj){
			var new_item = [];
			angular.forEach(obj, function(child) {
			var indeks = 0;
			new_item = [];
			angular.forEach(child, function(v,l) {
				if ((indeks !== 0) && (indeks !== 1)) {
					new_item.push(l);
				}
				indeks++;
			});
			});
			return new_item;
		}
	})
	.filter("chartSeries", function(){
		return function (obj) {
			var new_items = [];
			angular.forEach(obj, function(child) {
				var new_item = [];
				var indeks = 0;
				angular.forEach(child, function(v){
						if (indeks === 1){
							new_item.push(v);
						}
						indeks++;
					});
					new_items.push(new_item);
				});
			return new_items;
		}
	})



.config(["$translateProvider", function ($translateProvider){
	$translateProvider.preferredLanguage("pt-br");
	$translateProvider.useStaticFilesLoader({
		prefix: "translations/",
		suffix: ".json"
	});
	$translateProvider.useSanitizeValueStrategy("escapeParameters");
}])


.config(function(tmhDynamicLocaleProvider){
	tmhDynamicLocaleProvider.localeLocationPattern("lib/ionic/js/i18n/angular-locale_{{locale}}.js");
	tmhDynamicLocaleProvider.defaultLocale("pt-br");
})


.config(function($stateProvider, $urlRouterProvider,$sceDelegateProvider,$httpProvider,$ionicConfigProvider){
	try{
		// Domain Whitelist
		$sceDelegateProvider.resourceUrlWhitelist([
			"self",
			new RegExp('^(http[s]?):\/\/(w{3}.)?youtube\.com/.+$'),
			new RegExp('^(http[s]?):\/\/(w{3}.)?w3schools\.com/.+$'),
		]);
	}catch(err){
		console.log("%cerror: %cdomain whitelist","color:blue;font-size:16px;","color:red;font-size:16px;");
	}
	$stateProvider
	.state("construcalc",{
		url: "/construcalc",
			abstract: true,
			templateUrl: "templates/construcalc-side_menus.html",
			controller: "side_menusCtrl",
	})

	.state("construcalc.about", {
		url: "/about",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-about.html",
						controller: "aboutCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.about_us", {
		url: "/about_us",
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-about_us.html",
						controller: "about_usCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.ajuda_calculadoras", {
		url: "/ajuda_calculadoras",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-ajuda_calculadoras.html",
						controller: "ajuda_calculadorasCtrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.ajuda_calculadoras_singles", {
		url: "/ajuda_calculadoras_singles",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-ajuda_calculadoras_singles.html",
						controller: "ajuda_calculadoras_singlesCtrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.avaliacao", {
		url: "/avaliacao",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-avaliacao.html",
						controller: "avaliacaoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.avaliacao_negativo", {
		url: "/avaliacao_negativo",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-avaliacao_negativo.html",
						controller: "avaliacao_negativoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.avaliacao_positivo", {
		url: "/avaliacao_positivo",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-avaliacao_positivo.html",
						controller: "avaliacao_positivoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.azulejo", {
		url: "/azulejo",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-azulejo.html",
						controller: "azulejoCtrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.azulejo1", {
		url: "/azulejo1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-azulejo1.html",
						controller: "azulejo1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.azulejo2", {
		url: "/azulejo2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-azulejo2.html",
						controller: "azulejo2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.azulejo_menu", {
		url: "/azulejo_menu",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-azulejo_menu.html",
						controller: "azulejo_menuCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.compartilhar", {
		url: "/compartilhar",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-compartilhar.html",
						controller: "compartilharCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto2", {
		url: "/concreto2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto2.html",
						controller: "concreto2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_aco_bitola", {
		url: "/concreto_aco_bitola",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_aco_bitola.html",
						controller: "concreto_aco_bitolaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_aco_bloco_bitola", {
		url: "/concreto_aco_bloco_bitola",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_aco_bloco_bitola.html",
						controller: "concreto_aco_bloco_bitolaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_aco_piso_bitola", {
		url: "/concreto_aco_piso_bitola",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_aco_piso_bitola.html",
						controller: "concreto_aco_piso_bitolaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_bloco", {
		url: "/concreto_bloco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_bloco.html",
						controller: "concreto_blocoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_estribo_bitola", {
		url: "/concreto_estribo_bitola",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_estribo_bitola.html",
						controller: "concreto_estribo_bitolaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_fundacao", {
		url: "/concreto_fundacao",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_fundacao.html",
						controller: "concreto_fundacaoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_menu", {
		url: "/concreto_menu",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_menu.html",
						controller: "concreto_menuCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_menu_bloco", {
		url: "/concreto_menu_bloco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_menu_bloco.html",
						controller: "concreto_menu_blocoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_menu_fundacao", {
		url: "/concreto_menu_fundacao",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_menu_fundacao.html",
						controller: "concreto_menu_fundacaoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_menu_pilar", {
		url: "/concreto_menu_pilar",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_menu_pilar.html",
						controller: "concreto_menu_pilarCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_menu_viga", {
		url: "/concreto_menu_viga",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_menu_viga.html",
						controller: "concreto_menu_vigaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_pilar", {
		url: "/concreto_pilar",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_pilar.html",
						controller: "concreto_pilarCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_piso", {
		url: "/concreto_piso",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_piso.html",
						controller: "concreto_pisoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_resistencia", {
		url: "/concreto_resistencia",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_resistencia.html",
						controller: "concreto_resistenciaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_resistencia_caldas", {
		url: "/concreto_resistencia_caldas",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_resistencia_caldas.html",
						controller: "concreto_resistencia_caldasCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_resistencia_conhecida", {
		url: "/concreto_resistencia_conhecida",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_resistencia_conhecida.html",
						controller: "concreto_resistencia_conhecidaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_traco", {
		url: "/concreto_traco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_traco.html",
						controller: "concreto_tracoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_traco_traco", {
		url: "/concreto_traco_traco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_traco_traco.html",
						controller: "concreto_traco_tracoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.concreto_viga", {
		url: "/concreto_viga",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-concreto_viga.html",
						controller: "concreto_vigaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.configuracoes", {
		url: "/configuracoes",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-configuracoes.html",
						controller: "configuracoesCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.configuracoes_madeira", {
		url: "/configuracoes_madeira",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-configuracoes_madeira.html",
						controller: "configuracoes_madeiraCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.configuracoes_saco_cimento_lata", {
		url: "/configuracoes_saco_cimento_lata",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-configuracoes_saco_cimento_lata.html",
						controller: "configuracoes_saco_cimento_lataCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.configuracoes_vergalhao", {
		url: "/configuracoes_vergalhao",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-configuracoes_vergalhao.html",
						controller: "configuracoes_vergalhaoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.configuracoespesos", {
		url: "/configuracoespesos",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-configuracoespesos.html",
						controller: "configuracoespesosCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.dashboard", {
		url: "/dashboard",
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-dashboard.html",
						controller: "dashboardCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.escada", {
		url: "/escada",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-escada.html",
						controller: "escadaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.escada1", {
		url: "/escada1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-escada1.html",
						controller: "escada1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.escada2", {
		url: "/escada2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-escada2.html",
						controller: "escada2Ctrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.escada_aco", {
		url: "/escada_aco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-escada_aco.html",
						controller: "escada_acoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.escada_menu_revestimento", {
		url: "/escada_menu_revestimento",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-escada_menu_revestimento.html",
						controller: "escada_menu_revestimentoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.forropvc", {
		url: "/forropvc",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-forropvc.html",
						controller: "forropvcCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.forropvc1", {
		url: "/forropvc1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-forropvc1.html",
						controller: "forropvc1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.forropvc2", {
		url: "/forropvc2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-forropvc2.html",
						controller: "forropvc2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.gesso", {
		url: "/gesso",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-gesso.html",
						controller: "gessoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.gesso2", {
		url: "/gesso2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-gesso2.html",
						controller: "gesso2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.idioma", {
		url: "/idioma",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-idioma.html",
						controller: "idiomaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.impermeabilizante", {
		url: "/impermeabilizante",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-impermeabilizante.html",
						controller: "impermeabilizanteCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.impermeabilizante_two", {
		url: "/impermeabilizante_two",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-impermeabilizante_two.html",
						controller: "impermeabilizante_twoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.inicio", {
		url: "/inicio",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-inicio.html",
						controller: "inicioCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.laje", {
		url: "/laje",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-laje.html",
						controller: "lajeCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.laje_aco", {
		url: "/laje_aco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-laje_aco.html",
						controller: "laje_acoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.laje_menu", {
		url: "/laje_menu",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-laje_menu.html",
						controller: "laje_menuCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.laje_resultado", {
		url: "/laje_resultado",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-laje_resultado.html",
						controller: "laje_resultadoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.parede", {
		url: "/parede",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede.html",
						controller: "paredeCtrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.parede1", {
		url: "/parede1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede1.html",
						controller: "parede1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.parede2", {
		url: "/parede2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede2.html",
						controller: "parede2Ctrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.parede_blocom", {
		url: "/parede_blocom",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede_blocom.html",
						controller: "parede_blocomCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.parede_blocom_resultado", {
		url: "/parede_blocom_resultado",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede_blocom_resultado.html",
						controller: "parede_blocom_resultadoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.parede_blocom_resultado_email", {
		url: "/parede_blocom_resultado_email",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede_blocom_resultado_email.html",
						controller: "parede_blocom_resultado_emailCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.parede_menu", {
		url: "/parede_menu",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede_menu.html",
						controller: "parede_menuCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.parede_menu_revestimento", {
		url: "/parede_menu_revestimento",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-parede_menu_revestimento.html",
						controller: "parede_menu_revestimentoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pastilha", {
		url: "/pastilha",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pastilha.html",
						controller: "pastilhaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pastilha1", {
		url: "/pastilha1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pastilha1.html",
						controller: "pastilha1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pastilha2", {
		url: "/pastilha2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pastilha2.html",
						controller: "pastilha2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pintura", {
		url: "/pintura",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pintura.html",
						controller: "pinturaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pintura1", {
		url: "/pintura1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pintura1.html",
						controller: "pintura1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pintura2", {
		url: "/pintura2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pintura2.html",
						controller: "pintura2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisocompleto", {
		url: "/pisocompleto",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisocompleto.html",
						controller: "pisocompletoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisocompleto1", {
		url: "/pisocompleto1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisocompleto1.html",
						controller: "pisocompleto1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisocompleto2", {
		url: "/pisocompleto2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisocompleto2.html",
						controller: "pisocompleto2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisocompletomenu", {
		url: "/pisocompletomenu",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisocompletomenu.html",
						controller: "pisocompletomenuCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisointertravado", {
		url: "/pisointertravado",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisointertravado.html",
						controller: "pisointertravadoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisointertravado1", {
		url: "/pisointertravado1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisointertravado1.html",
						controller: "pisointertravado1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisointertravado2", {
		url: "/pisointertravado2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisointertravado2.html",
						controller: "pisointertravado2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisolaminado1", {
		url: "/pisolaminado1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisolaminado1.html",
						controller: "pisolaminado1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisolaminado2", {
		url: "/pisolaminado2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisolaminado2.html",
						controller: "pisolaminado2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisovinilico1", {
		url: "/pisovinilico1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisovinilico1.html",
						controller: "pisovinilico1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.pisovinilico_two", {
		url: "/pisovinilico_two",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-pisovinilico_two.html",
						controller: "pisovinilico_twoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.porcelanatoliquido", {
		url: "/porcelanatoliquido",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-porcelanatoliquido.html",
						controller: "porcelanatoliquidoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.porcelanatoliquido1", {
		url: "/porcelanatoliquido1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-porcelanatoliquido1.html",
						controller: "porcelanatoliquido1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.porcelanatoliquido1acabamento", {
		url: "/porcelanatoliquido1acabamento",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-porcelanatoliquido1acabamento.html",
						controller: "porcelanatoliquido1acabamentoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.porcelanatoliquido1primer", {
		url: "/porcelanatoliquido1primer",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-porcelanatoliquido1primer.html",
						controller: "porcelanatoliquido1primerCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.porcelanatoliquido1primeroutro", {
		url: "/porcelanatoliquido1primeroutro",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-porcelanatoliquido1primeroutro.html",
						controller: "porcelanatoliquido1primeroutroCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.porcelanatoliquido1selador", {
		url: "/porcelanatoliquido1selador",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-porcelanatoliquido1selador.html",
						controller: "porcelanatoliquido1seladorCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.porcelanatoliquido2", {
		url: "/porcelanatoliquido2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-porcelanatoliquido2.html",
						controller: "porcelanatoliquido2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.reboco", {
		url: "/reboco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-reboco.html",
						controller: "rebocoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.reboco2", {
		url: "/reboco2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-reboco2.html",
						controller: "reboco2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.slide_tab_menu", {
		url: "/slide_tab_menu",
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-slide_tab_menu.html",
						controller: "slide_tab_menuCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.tabelas", {
		url: "/tabelas",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas.html",
						controller: "tabelasCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.tabelas_nbr6118", {
		url: "/tabelas_nbr6118",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_nbr6118.html",
						controller: "tabelas_nbr6118Ctrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.tabelas_nbr6118_singles", {
		url: "/tabelas_nbr6118_singles",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_nbr6118_singles.html",
						controller: "tabelas_nbr6118_singlesCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.tabelas_nbr6120", {
		url: "/tabelas_nbr6120",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_nbr6120.html",
						controller: "tabelas_nbr6120Ctrl"
					},
			"fabButtonUp" : {
						template: '<button id="fab-up-button" ng-click="scrollTop()" class="button button-fab button-fab-bottom-right button-energized-900 spin"><i class="icon ion-arrow-up-a"></i></button>',
						controller: function ($timeout) {
							$timeout(function () {
								document.getElementById("fab-up-button").classList.toggle("on");
							}, 900);
						}
					},
		}
	})

	.state("construcalc.tabelas_nbr6120_singles", {
		url: "/tabelas_nbr6120_singles",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_nbr6120_singles.html",
						controller: "tabelas_nbr6120_singlesCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.tabelas_uteis", {
		url: "/tabelas_uteis",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_uteis.html",
						controller: "tabelas_uteisCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.tabelas_uteis_aco", {
		url: "/tabelas_uteis_aco",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_uteis_aco.html",
						controller: "tabelas_uteis_acoCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.tabelas_uteis_aco_singles", {
		url: "/tabelas_uteis_aco_singles",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_uteis_aco_singles.html",
						controller: "tabelas_uteis_aco_singlesCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.tabelas_uteis_singles", {
		url: "/tabelas_uteis_singles",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-tabelas_uteis_singles.html",
						controller: "tabelas_uteis_singlesCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.telha", {
		url: "/telha",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-telha.html",
						controller: "telhaCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.telha1", {
		url: "/telha1",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-telha1.html",
						controller: "telha1Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.telha2", {
		url: "/telha2",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-telha2.html",
						controller: "telha2Ctrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})

	.state("construcalc.telha_menu", {
		url: "/telha_menu",
		cache:false,
		views: {
			"construcalc-side_menus" : {
						templateUrl:"templates/construcalc-telha_menu.html",
						controller: "telha_menuCtrl"
					},
			"fabButtonUp" : {
						template: '',
					},
		}
	})


// router by user


	$urlRouterProvider.otherwise("/construcalc/inicio");
});
