angular.module("construcalc.services", [])
// TODO: --|---- directive
	
	
// TODO: --|-------- zoomTap
.directive("zoomTap", function($compile, $ionicGesture) {
	return {
		link: function($scope, $element, $attrs) {
			var zoom = minZoom = 10;
			var maxZoom = 50;
			$element.attr("style", "width:" + (zoom * 10) + "%");
			var handlePinch = function(e){
				if (e.gesture.scale <= 1) {
					zoom--;
				}else{
					zoom++;
				}
				if (zoom >= maxZoom) {
					zoom = maxZoom;
				}
				if (zoom <= minZoom) {
					zoom = minZoom;
				}
				$element.attr("style", "width:" + (zoom * 10) + "%");
			};
			var handleDoubleTap = function(e){
				zoom++;
				if (zoom == maxZoom) {
					zoom = minZoom;
				}
				$element.attr("style", "width:" + (zoom * 10) + "%");
			};
			var pinchGesture = $ionicGesture.on("pinch", handlePinch, $element);
			var doubletapGesture = $ionicGesture.on("doubletap", handleDoubleTap, $element);
			$scope.$on("$destroy", function() {
				$ionicGesture.off(pinchGesture, "pinch", $element);
				$ionicGesture.off(doubletapGesture, "doubletap", $element);
			});
		}
	};
})
// TODO: --|-------- zoom-view
.directive("zoomView", function($compile,$ionicModal, $ionicPlatform){
	return {
			link: function link($scope, $element, $attrs){
				
				if(typeof $scope.zoomImages == "undefined"){
					$scope.zoomImages=0;
				}
				if(typeof $scope.imagesZoomSrc == "undefined"){
					$scope.imagesZoomSrc = {};
				}
				$scope.zoomImages++;
				var indeks = $scope.zoomImages;
				$scope.imagesZoomSrc[indeks] = $attrs.zoomSrc;
				
				$element.attr("ng-click", "showZoomView(" + indeks + ")");
				$element.removeAttr("zoom-view");
				$compile($element)($scope);
				$ionicPlatform.ready(function(){
					var zoomViewTemplate = "";
					zoomViewTemplate += "<ion-modal-view class=\"zoom-view\">";
					zoomViewTemplate += "<ion-header-bar class=\"bar bar-header light bar-balanced-900\">";
					zoomViewTemplate += "<div class=\"header-item title\"></div>";
					zoomViewTemplate += "<div class=\"buttons buttons-right header-item\"><span class=\"right-buttons\"><button ng-click=\"closeZoomView()\" class=\"button button-icon ion-close button-clear button-dark\"></button></span></div>";
					zoomViewTemplate += "</ion-header-bar>";
					zoomViewTemplate += "<ion-content overflow-scroll=\"true\">";
					zoomViewTemplate += "<ion-scroll zooming=\"true\" overflow-scroll=\"false\" direction=\"xy\" style=\"width:100%;height:100%;position:absolute;top:0;bottom:0;left:0;right:0;\">";
					zoomViewTemplate += "<img ng-src=\"{{ zoom_src }}\" style=\"width:100%!important;display:block;width:100%;height:auto;max-width:400px;max-height:700px;margin:auto;padding:10px;\"/>";
					zoomViewTemplate += "</ion-scroll>";
					zoomViewTemplate += "</ion-content>";
					zoomViewTemplate += "</ion-modal-view>";
					$scope.zoomViewModal = $ionicModal.fromTemplate(zoomViewTemplate,{
						scope: $scope,
						animation: "slide-in-up"
					});
					
					$scope.showZoomView = function(indeks){
						$scope.zoom_src = $scope.imagesZoomSrc[indeks] || $attrs.zoomSrc ;
						console.log(indeks,$scope.zoom_src,$scope.imagesZoomSrc);
						$scope.zoomViewModal.show();
					};
					$scope.closeZoomView= function(){
						$scope.zoomViewModal.hide();
					};
				});
		}
	};
})
				
// TODO: --|-------- headerShrink
.directive("headerShrink", function($document){
	var fadeAmt;
	var shrink = function(header, content, amt, max){
		amt = Math.min(44, amt);
		fadeAmt = 1 - amt / 44;
		ionic.requestAnimationFrame(function(){
			var translate3d = "translate3d(0, -" + amt + "px, 0)";
			if(header==null){return;}
			for (var i = 0, j = header.children.length; i < j; i++){
			header.children[i].style.opacity = fadeAmt;
				header.children[i].style[ionic.CSS.TRANSFORM] = translate3d;
			}
		});
	};
	return {
		link: function($scope, $element, $attr){
			var starty = $scope.$eval($attr.headerShrink) || 0;
			var shrinkAmt;
			var header = $document[0].body.querySelector(".page-title");
			var headerHeight = $attr.offsetHeight || 44;
			$element.bind("scroll", function(e){
				var scrollTop = null;
				if (e.detail){
					scrollTop = e.detail.scrollTop;
				} else if (e.target){
					scrollTop = e.target.scrollTop;
				}
				if (scrollTop > starty){
					shrinkAmt = headerHeight - Math.max(0, (starty + headerHeight) - scrollTop);
					shrink(header, $element[0], shrinkAmt, headerHeight);
				}else{
					shrink(header, $element[0], 0, headerHeight);
				}
			});
			$scope.$parent.$on("$ionicView.leave", function (){
				shrink(header, $element[0], 0, headerHeight);
			});
			$scope.$parent.$on("$ionicView.enter", function (){
				shrink(header, $element[0], 0, headerHeight);
			});
		}
	}
})
// TODO: --|-------- fileread
.directive("fileread",function($ionicLoading,$timeout){
	return {
		scope:{
			fileread: "="
		},
		link: function(scope, element,attributes){
			element.bind("change", function(changeEvent) {
				$ionicLoading.show();
				scope.fileread = "";
				var reader = new FileReader();
				reader.onload = function(loadEvent) {
					try{
						scope.$apply(function(){
							scope.fileread = loadEvent.target.result;
						});
					}catch(err){
						//alert(err.message);
					}
				}
				reader.onloadend = function(loadEvent) {
					try{
						$timeout(function(){
							$ionicLoading.hide();
								scope.fileread = loadEvent.target.result;
						},300);
					}catch(err){
						//alert(err.message);
					}
				}
				if(changeEvent.target.files[0]){
					reader.readAsDataURL(changeEvent.target.files[0]);
				}
				$timeout(function(){
					$ionicLoading.hide();
				},300)
			});
		}
	}
}) 
// TODO: --|-------- run-app-sms
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppSms", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var phoneNumber = $attrs.phone || "08123456789";
				var textMessage = window.encodeURIComponent($attrs.message) || "Hello";
				if (ionic.Platform.isIOS()){
					var urlSchema = "sms:" + phoneNumber + ";?&body=" + textMessage;
				}else{
					var urlSchema = "sms:" + phoneNumber + "?body=" + textMessage;
				}
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-call
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppCall", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var phoneNumber = $attrs.phone || "08123456789";
				var urlSchema = "tel:" + phoneNumber ;
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-geo
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppGeo", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var loc = $attrs.loc || "23,12312";
				if (ionic.Platform.isIOS()){
					var urlSchema = "maps://?q=" + loc ;
				}else{
					var urlSchema = "geo:" + loc ;
				}
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-email
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppEmail", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var EmailAddr = $attrs.email || "info@ihsana.com";
				var textSubject = $attrs.subject || "";
				var textMessage = window.encodeURIComponent($attrs.message) || "";
				var urlSchema = "mailto:" + EmailAddr + "?subject=" + textSubject + "&body=" + textMessage;
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-facebook
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppFacebook", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var textLink = window.encodeURIComponent($attrs.link) || "http://ihsana.com/";
				if (ionic.Platform.isIOS()){
					var urlSchema = 'fbapi20130214://dialog/share?app_id=966242223397117&version=20130410&method_args={"name":null,"description":null,"link":"' + textLink + '"}' ;
				}else if(ionic.Platform.isAndroid()){
					var urlSchema = "fb://faceweb/f?href=https://facebook.com/sharer/sharer.php?u=" + textLink;
				}else{
					var urlSchema = "https://facebook.com/sharer/sharer.php?u=" + textLink;
				}
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-whatsapp
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppWhatsapp", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var textMessage = window.encodeURIComponent($attrs.message) || "";
				var urlSchema = "whatsapp://send?text=" + textMessage;
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-line
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppLine", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var textMessage = window.encodeURIComponent($attrs.message) || "";
				var urlSchema = "line://msg/text/" + textMessage;
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-twitter
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppTwitter", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var textMessage = window.encodeURIComponent($attrs.message) || "";
				var urlSchema = "twitter://post?message=" + textMessage;
				window.open(urlSchema,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-open-url
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runOpenUrl", function(){
	return {
			controller: function($scope,$element,$attrs){
			$element.bind("click", runOpenURL);
			function runOpenURL(event)
			{
				var $href = $attrs.href || "http://ihsana.com/";
				window.open($href,"_system","location=yes");
			};
		}
	};
})
// TODO: --|-------- run-app-browser
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runAppBrowser", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var $href = $attrs.href || "http://ihsana.com/";
				var appBrowser = window.open($href,"_blank","hardwareback=Done,toolbarposition=top,location=yes");
	
				appBrowser.addEventListener("loadstart",function(){
					navigator.notification.activityStart("Please Wait", "Its loading....");
				});
	
	
				appBrowser.addEventListener("loadstop",function(){
					navigator.notification.activityStop();
				});
	
	
				appBrowser.addEventListener("loaderror",function(){
					navigator.notification.activityStop();
					window.location = "retry.html";
				});
	
	
				appBrowser.addEventListener("exit",function(){
					navigator.notification.activityStop();
				});
	
			};
		}
	};
})
// TODO: --|-------- run-webview
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runWebview", function(){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", runApp);
			function runApp(event)
			{
				var $href = $attrs.href || "http://ihsana.com/";
				var appWebview = window.open($href,"_blank","location=no,toolbar=no");
			
				appWebview.addEventListener("loadstart",function(){
					navigator.notification.activityStart("Please Wait", "Its loading....");
				});
			
			
				appWebview.addEventListener("loadstop",function(){
					navigator.notification.activityStop();
				});
			
			
				appWebview.addEventListener("loaderror",function(){
					navigator.notification.activityStop();
					window.location = "retry.html";
				});
			
			
				appWebview.addEventListener("exit",function(){
					navigator.notification.activityStop();
				});
			
			};
		}
	};
})
// TODO: --|-------- run-social-sharing
/** required: cordova-plugin-whitelist, cordova-plugin-inappbrowser **/
.directive("runSocialSharing", function($ionicActionSheet, $timeout){
	return {
			controller: function($scope, $element, $attrs){
			$element.bind("click", showSocialSharing);
			function showSocialSharing(event)
			{
				var hideSheet = $ionicActionSheet.show(
				{
					titleText: 'Share This',
					buttons: [
						{ text: '<i class="icon ion-social-facebook"></i> <b>Facebook</b>'},
						{ text: '<i class="icon ion-social-twitter"></i> <b>Twitter</b>'},
						{ text: '<i class="icon ion-social-whatsapp"></i> <b>Whatsapp</b>'},
						{ text: '<i class="icon ion-ios-chatbubble"></i> <b>Line</b>'},
						],
					cancelText: 'Cancel',
					cancel: function(){
						// add cancel code.
					},
					buttonClicked: function(index)
					{
						switch (index)
						{
							case 0:
								var textMessage = window.encodeURIComponent($attrs.message) || "";
								if (ionic.Platform.isIOS()){
									var urlSchema = 'fbapi20130214://dialog/share?app_id=966242223397117&version=20130410&method_args={"name":null,"description":null,"link":"' + textMessage + '"}' ;
								}else if(ionic.Platform.isAndroid()){
									var urlSchema = "fb://faceweb/f?href=https://facebook.com/sharer/sharer.php?u=" + textMessage;
								}else{
									var urlSchema = "https://facebook.com/sharer/sharer.php?u=" + textMessage;
								}
								window.open(urlSchema, "_system", "location=yes");
								break;
							case 1:
								var textMessage = window.encodeURIComponent($attrs.message) || "";
								var urlSchema = "twitter://post?message=" + textMessage;
								window.open(urlSchema, "_system", "location=yes");
								break;
							case 2:
								var textMessage = window.encodeURIComponent($attrs.message) || "";
								var urlSchema = "whatsapp://send?text=" + textMessage;
								window.open(urlSchema, "_system", "location=yes");
								break;
							case 3:
								var textMessage = window.encodeURIComponent($attrs.message) || "";
								var urlSchema = "line://msg/text/" + textMessage;
								window.open(urlSchema, "_system", "location=yes");
								break;
						}
					}
				});
				$timeout(function()
				{
					hideSheet();
				}, 5000); 
			};
		}
	};
})




				
.run(["$locale", function ($locale) {
    $locale.NUMBER_FORMATS.CURRENCY_SYM = "Rp.";
    $locale.NUMBER_FORMATS.GROUP_SEP = ".";
    $locale.NUMBER_FORMATS.DECIMAL_SEP = ",";
}])

var AdMobInterstitial = "ca-app-pub-3508108226061460/7321510234";

var Cont_Avalia = parseFloat(localStorage.getItem("local_cont_avalia"));
var Avaliado = parseFloat(localStorage.getItem("local_avaliado"));
if (Cont_Avalia > 0) {
  if (Avaliado == 0) {
    parseFloat(localStorage.setItem("local_cont_avalia", Cont_Avalia+1));
  }
} else {
  parseFloat(localStorage.setItem("local_avaliado", 0));
  parseFloat(localStorage.setItem("local_cont_avalia", 1));
}
if (Avaliado == 0 && Cont_Avalia >= 20) {
  javascript:location.href="#/construcalc/avaliacao";
}

 /*var Inicio_Local_New_Contador_Viga_Baldrame_L = parseFloat(localStorage.getItem("local_new_contador_viga_baldrame_L"));
  if (Inicio_Local_New_Contador_Viga_Baldrame_L > 0) {
    parseFloat(localStorage.setItem("local_new_contador_viga_baldrame_L", Inicio_Local_New_Contador_Viga_Baldrame_L+1));
  } else {
    parseFloat(localStorage.setItem("local_new_contador_viga_baldrame_L", 1));
  }
  if (Inicio_Local_New_Contador_Viga_Baldrame_L > 50) {
    $scope.inicio_icon_viga_baldrame_L_new = "data/images/1_Concreto_ICO.jpg";
  } else {
    $scope.inicio_icon_viga_baldrame_L_new = "data/images/1_Concreto_ICO_New.jpg";
  }*/

//Inicializar tela de Concreto
sessionStorage.setItem("session_concreto_desperdicio_tela", 10);
sessionStorage.setItem("session_concreto_traco_selec", 1);

//Padrão
sessionStorage.setItem("session_concreto_resistencia_conhecida_escada_selec", 5); //25MPa
sessionStorage.setItem("session_concreto_resistencia_conhecida_laje_selec", 4); //30MPa
sessionStorage.setItem("session_concreto_resistencia_conhecida_fundacao_selec", 5); //25MPa
sessionStorage.setItem("session_concreto_resistencia_conhecida_viga_selec", 5); //25MPa
sessionStorage.setItem("session_concreto_resistencia_conhecida_pilar_selec", 5); //25MPa
sessionStorage.setItem("session_concreto_resistencia_conhecida_bloco_selec", 5); //25MPa
sessionStorage.setItem("session_concreto_resistencia_conhecida_piso_selec", 9); //10MPa

//Caldas Branco
sessionStorage.setItem("session_concreto_resistencia_caldas_branco_escada_selec", 4); //25MPa
sessionStorage.setItem("session_concreto_resistencia_caldas_branco_laje_selec", 3); //30MPa
sessionStorage.setItem("session_concreto_resistencia_caldas_branco_fundacao_selec", 4); //25MPa
sessionStorage.setItem("session_concreto_resistencia_caldas_branco_viga_selec", 4); //25MPa
sessionStorage.setItem("session_concreto_resistencia_caldas_branco_pilar_selec", 4); //25MPa
sessionStorage.setItem("session_concreto_resistencia_caldas_branco_bloco_selec", 4); //25MPa
sessionStorage.setItem("session_concreto_resistencia_caldas_branco_piso_selec", 11); //10MPa

sessionStorage.setItem("session_concreto_traco_traco_cimento_tela", 1);
sessionStorage.setItem("session_concreto_traco_traco_areia_tela", 2.5);
sessionStorage.setItem("session_concreto_traco_traco_brita_tela", 3.5);

sessionStorage.setItem("session_concreto_aco_bloco_bitola_selec", 1);
sessionStorage.setItem("session_concreto_aco_bloco_bitola_tela", 8);
sessionStorage.setItem("session_concreto_aco_bloco_bitola_fator", 4.74);

sessionStorage.setItem("session_concreto_aco_bitola_selec", 1);
sessionStorage.setItem("session_concreto_aco_bitola_tela", 8);
sessionStorage.setItem("session_concreto_aco_bitola_fator", 4.74);

sessionStorage.setItem("session_concreto_estribo_bitola_selec", 2);
sessionStorage.setItem("session_concreto_estribo_bitola_tela", 5);
sessionStorage.setItem("session_concreto_estribo_bitola_fator", 1.848);

sessionStorage.setItem("session_piso_aco_bitola_selec", 3);
sessionStorage.setItem("session_piso_aco_bitola_tela", 8);
sessionStorage.setItem("session_piso_aco_bitola_fator", 4.74);

sessionStorage.setItem("session_escada_aco_bitola_selec", 3);
sessionStorage.setItem("session_escada_aco_bitola_tela", 8);
sessionStorage.setItem("session_escada_aco_bitola_fator", 4.74);

sessionStorage.setItem("session_laje_aco_bitola_selec", 1);
sessionStorage.setItem("session_laje_aco_bitola_tela", 5);
sessionStorage.setItem("session_laje_aco_bitola_fator", 1.848);

sessionStorage.setItem("session_concreto_fundacao_qtde_tela", 1);
sessionStorage.setItem("session_concreto_fundacao_qtde_estacas_tela", 2);
sessionStorage.setItem("session_concreto_fundacao_aco_bloco_espacamento_tela", 10);
sessionStorage.setItem("session_concreto_fundacao_aco_qtde_barras_tela", 4);
sessionStorage.setItem("session_concreto_fundacao_estribo_espacamento_tela", 20);

sessionStorage.setItem("session_concreto_viga_qtde_tela", 1);
sessionStorage.setItem("session_concreto_viga_aco_qtde_barras_tela", 4);
sessionStorage.setItem("session_concreto_viga_estribo_espacamento_tela", 15);

sessionStorage.setItem("session_concreto_pilar_qtde_tela", 1);
sessionStorage.setItem("session_concreto_pilar_aco_qtde_barras_retangular_tela", 4);
sessionStorage.setItem("session_concreto_pilar_aco_qtde_barras_redondo_tela", 4);
sessionStorage.setItem("session_concreto_pilar_estribo_espacamento_tela", 15);

sessionStorage.setItem("session_concreto_piso_qtde_tela", 1);
sessionStorage.setItem("session_concreto_piso_area_selec_tela", 2);
sessionStorage.setItem("session_concreto_piso_espessura_tela", 5);
sessionStorage.setItem("session_concreto_piso_aco_espacamento_tela", 10);

sessionStorage.setItem("session_concreto_bloco_qtde_tela", 1);
sessionStorage.setItem("session_concreto_bloco_volume_selec_tela", 1);

//Inicializar tela de Laje
sessionStorage.setItem("session_concreto_laje_desperdicio_tela", 10);
sessionStorage.setItem("session_concreto_laje_qtde_tela", 1);
sessionStorage.setItem("session_concreto_laje_espessura_h1_tela", 14);
sessionStorage.setItem("session_concreto_laje_espessura_cobrimento_h2_tela", 6);
sessionStorage.setItem("session_concreto_laje_largura_eps_l2_tela", 40);
sessionStorage.setItem("session_concreto_laje_comprimento_c2_eps_tela", 100);
sessionStorage.setItem("session_concreto_laje_largura_tijolo_l2_tela", 20);
sessionStorage.setItem("session_concreto_laje_comprimento_c2_tijolo_tela", 30);
sessionStorage.setItem("session_concreto_laje_aco_espacamento_tela", 10);

//Inicializar tela de Parede
sessionStorage.setItem("session_parede_desperdicio_tela", 10);
sessionStorage.setItem("session_parede_area_selec_tela", 1);
sessionStorage.setItem("session_parede_area_selec_tela_ecologico", 2);
sessionStorage.setItem("session_parede_abertura_tela", 0);
sessionStorage.setItem("session_parede_posicao_ceramico_tela", 2);
sessionStorage.setItem("session_parede_posicao_macico_tela", 1);
sessionStorage.setItem("session_parede_cal_argamassa_tela", 1);
sessionStorage.setItem("session_parede_traco_reboco_tela", 2);
sessionStorage.setItem("session_parede_cal_tela", 1); //Padrao = 1
sessionStorage.setItem("session_parede_esp_juntas_argamassa_tela", 1.5);
sessionStorage.setItem("session_parede_revest_interno_esp_chapisco_tela", 5);
sessionStorage.setItem("session_parede_revest_interno_esp_emboco_tela", 15);
sessionStorage.setItem("session_parede_revest_interno_esp_reboco_tela", 5);
sessionStorage.setItem("session_parede_revest_externo_esp_chapisco_tela", 5);
sessionStorage.setItem("session_parede_revest_externo_esp_emboco_tela", 15);
sessionStorage.setItem("session_parede_revest_externo_esp_reboco_tela", 5);
sessionStorage.setItem("session_parede_check_revest_interno_tela", 1);
sessionStorage.setItem("session_parede_check_revest_externo_tela", 1);
sessionStorage.setItem("session_parede_gesso_tipo_acabamento","Desempenado");
sessionStorage.setItem("session_parede_check_gesso_interno_tela", 1);
sessionStorage.setItem("session_parede_check_gesso_externo_tela", 1);
sessionStorage.setItem("session_parede_graute_distancia_tela", 1);
sessionStorage.setItem("session_parede_graute_qtde_tela", 2);
sessionStorage.setItem("session_teste", 0);
sessionStorage.setItem("session_parede_graute_comp_barra_tela", 12);
sessionStorage.setItem("session_parede_canaleta_qtde_tela", 3);
sessionStorage.setItem("session_parede_canaleta_barra_qtde_tela", 2);
sessionStorage.setItem("session_parede_canaleta_comp_barra_tela", 12);
//Blocom
sessionStorage.setItem("session_blocom_desperdicio_tela", 10);
sessionStorage.setItem("session_blocom_area_selec_tela", 1);
sessionStorage.setItem("session_blocom_abertura_tela", 0);


//Inicializar tela de PisoGrosso
sessionStorage.setItem("session_pisogrosso_desperdicio_tela", 10);
sessionStorage.setItem("session_pisogrosso_area_selec_tela", 1);
sessionStorage.setItem("session_pisogrosso_tipo_piso_tela", 1);
sessionStorage.setItem("session_pisogrosso_esp_piso_tela", 5);

//Inicializar tela de Piso Completo
sessionStorage.setItem("session_piso_completo_desperdicio_tela", 10);
sessionStorage.setItem("session_piso_completo_area_selec_tela", 2);
sessionStorage.setItem("session_piso_completo_abertura_tela", 0);
sessionStorage.setItem("session_piso_completo_rodape_tela", 1);
sessionStorage.setItem("session_piso_completo_contrapiso_selec_tela", 1);
sessionStorage.setItem("session_piso_completo_esp_contrapiso_tela", 5);
sessionStorage.setItem("session_piso_completo_esp_argamassa_tela", 1);
sessionStorage.setItem("session_piso_completo_altura_rodape_tela", 10);

//Inicializar tela de Porcelanato Liquido
sessionStorage.setItem("session_porcelanato_liquido_desperdicio_tela", 10);
sessionStorage.setItem("session_porcelanato_liquido_esp_primer_tela", 2);
sessionStorage.setItem("session_porcelanato_liquido_esp_acabamento_tela", 2);
sessionStorage.setItem("session_porcelanato_liquido_area_selec_tela", 1);
sessionStorage.setItem("session_porcelanato_liquido_area_adesivo_tela", 0);
sessionStorage.setItem("session_porcelanato_liquido_primer_selec", 1);
sessionStorage.setItem("session_porcelanato_liquido_primer_rendimento", 0.57);
sessionStorage.setItem("session_porcelanato_liquido_primer_a_epoxi", 1);
sessionStorage.setItem("session_porcelanato_liquido_primer_b_endurecedor", 0.4);
sessionStorage.setItem("session_porcelanato_liquido_primer_c_carga_mineral", 2);
sessionStorage.setItem("session_porcelanato_liquido_primer_outro_selec", 1);
sessionStorage.setItem("session_porcelanato_liquido_primer_outro_rendimento", 0.45);
sessionStorage.setItem("session_porcelanato_liquido_primer_outro_a_epoxi", 2);
sessionStorage.setItem("session_porcelanato_liquido_primer_outro_b_endurecedor", 1); 
sessionStorage.setItem("session_porcelanato_liquido_primer_outro_c_carga_mineral", 6); //50%
sessionStorage.setItem("session_porcelanato_liquido_primer_outro_c_carga_mineral_porc", 50); //50%
sessionStorage.setItem("session_porcelanato_liquido_selador_selec", 1);
sessionStorage.setItem("session_porcelanato_liquido_selador_rendimento", 0.10);
sessionStorage.setItem("session_porcelanato_liquido_selador_a_epoxi", 63);
sessionStorage.setItem("session_porcelanato_liquido_selador_b_endurecedor", 38);
sessionStorage.setItem("session_porcelanato_liquido_acabamento_selec", 1);
sessionStorage.setItem("session_porcelanato_liquido_acabamento_rendimento", 0.50);
sessionStorage.setItem("session_porcelanato_liquido_acabamento_a_epoxi", 2);
sessionStorage.setItem("session_porcelanato_liquido_acabamento_b_endurecedor", 1);
sessionStorage.setItem("session_porcelanato_liquido_acabamento_c_pigmento", 10); //10%
sessionStorage.setItem("session_porcelanato_liquido_acabamento_c_pigmento_porc", 10); //10%

//Inicializar tela de Piso Laminado
sessionStorage.setItem("session_piso_laminado_desperdicio_tela", 10);
sessionStorage.setItem("session_piso_laminado_area_selec_tela", 2);
sessionStorage.setItem("session_piso_laminado_abertura_tela", 0);
sessionStorage.setItem("session_piso_laminado_rodape_tela", 1);
sessionStorage.setItem("session_piso_laminado_rodape_comp_tela", 2);
sessionStorage.setItem("session_piso_laminado_desnivelado_tela", 0);
sessionStorage.setItem("session_piso_laminado_aplicacao_tela", 1);
sessionStorage.setItem("session_piso_laminado_largura_peca_tela", 24);
sessionStorage.setItem("session_piso_laminado_comp_peca_tela", 135);
sessionStorage.setItem("session_piso_laminado_qtde_demaos_tela", 2);
sessionStorage.setItem("session_piso_laminado_largura_manta_tela", 1);
sessionStorage.setItem("session_piso_laminado_comp_manta_tela", 5);

//Inicializar tela de Piso Vinílico
sessionStorage.setItem("session_piso_vinilico_desperdicio_tela", 10);
sessionStorage.setItem("session_piso_vinilico_area_selec_tela", 2);
sessionStorage.setItem("session_piso_vinilico_abertura_tela", 0);
sessionStorage.setItem("session_piso_vinilico_rodape_tela", 1);
sessionStorage.setItem("session_piso_vinilico_rodape_comp_tela", 2);
sessionStorage.setItem("session_piso_vinilico_desnivelado_tela", 1);
sessionStorage.setItem("session_piso_vinilico_auto_adesivo_tela", 1);
sessionStorage.setItem("session_piso_vinilico_aplicacao_tela", 1);
sessionStorage.setItem("session_piso_vinilico_largura_peca_tela", 24);
sessionStorage.setItem("session_piso_vinilico_comp_peca_tela", 135);
sessionStorage.setItem("session_piso_vinilico_qtde_demaos_tela", 2);

//Inicializar tela de Impermeabilizante
sessionStorage.setItem("session_impermeabilizante_desperdicio_tela", 10);
sessionStorage.setItem("session_impermeabilizante_area_selec_tela", 1);
sessionStorage.setItem("session_impermeabilizante_abertura_tela", 0);
sessionStorage.setItem("session_impermeabilizante_aplicacao_tela", 1);
sessionStorage.setItem("session_impermeabilizante_qtde_demaos_selador_tela", 2);
sessionStorage.setItem("session_impermeabilizante_qtde_demaos_impermeabilizante_tela", 4);

//Inicializar tela de Piso Intertravado
sessionStorage.setItem("session_piso_int_desperdicio_tela", 10);
sessionStorage.setItem("session_piso_int_area_selec_tela", 1);
sessionStorage.setItem("session_piso_int_esp_camada_areia_assentamento_tela", 3);
sessionStorage.setItem("session_piso_int_tipo_areia_tela", 1);

//Inicializar tela de Azulejo
sessionStorage.setItem("session_azulejo_desperdicio_tela", 10);
sessionStorage.setItem("session_azulejo_area_selec_tela", 1);
sessionStorage.setItem("session_azulejo_abertura_tela", 0);
sessionStorage.setItem("session_azulejo_esp_argamassa_tela", 1);

//Inicializar tela de Pastilha
sessionStorage.setItem("session_pastilha_desperdicio_tela", 10);
sessionStorage.setItem("session_pastilha_area_selec_tela", 1);
sessionStorage.setItem("session_pastilha_abertura_tela", 0);
sessionStorage.setItem("session_pastilha_esp_argamassa_tela", 1);

//Inicializar tela de Escada
sessionStorage.setItem("session_escada_largura_tela", 100);
sessionStorage.setItem("session_escada_espelho_tela", 18);
sessionStorage.setItem("session_escada_comp_conhecido_selec_tela", 0);
sessionStorage.setItem("session_escada_esp_base_tela", 7);
sessionStorage.setItem("session_escada_desperdicio_tela", 10);
sessionStorage.setItem("session_escada_aco_espacamento_tela", 10);
sessionStorage.setItem("session_escada_esp_argamassa_tela", 1);
sessionStorage.setItem("session_escada_esp_peca_tela", 8);
sessionStorage.setItem("session_escada_larg_rejunte_tela", 5);
sessionStorage.setItem("session_escada_pingadeira_tela", 1);
sessionStorage.setItem("session_escada_larg_soleira_tela", 10);
sessionStorage.setItem("session_escada_rodape_selec_tela", 1);
sessionStorage.setItem("session_escada_altura_rodape_tela", 10);
sessionStorage.setItem("session_escada_rodape_dois_lados_selec_tela", 1);

//Inicializar tela de Gesso
sessionStorage.setItem("session_gesso_desperdicio", 10);
sessionStorage.setItem("session_gesso_area", 1);
sessionStorage.setItem("session_gesso_abertura", 0);
sessionStorage.setItem("session_gesso_local_aplicacao","Parede");
sessionStorage.setItem("session_gesso_tipo_acabamento","Desempenado");

//Inicializar tela de Reboco
sessionStorage.setItem("session_reboco_desperdicio_tela", 10);
sessionStorage.setItem("session_reboco_area_selec_tela", 1);
sessionStorage.setItem("session_reboco_abertura_tela", 0);
sessionStorage.setItem("session_reboco_traco_reboco_tela", 2);
sessionStorage.setItem("session_reboco_cal_tela", 1);
sessionStorage.setItem("session_reboco_esp_juntas_argamassa_tela", 1);
sessionStorage.setItem("session_reboco_revest_interno_esp_chapisco_tela", 5);
sessionStorage.setItem("session_reboco_revest_interno_esp_emboco_tela", 15);
sessionStorage.setItem("session_reboco_revest_interno_esp_reboco_tela", 5);
sessionStorage.setItem("session_reboco_revest_externo_esp_chapisco_tela", 5);
sessionStorage.setItem("session_reboco_revest_externo_esp_emboco_tela", 15);
sessionStorage.setItem("session_reboco_revest_externo_esp_reboco_tela", 5);
sessionStorage.setItem("session_reboco_check_revest_interno_tela", 1);
sessionStorage.setItem("session_reboco_check_revest_externo_tela", 1);

//Inicializar tela de Pintura
sessionStorage.setItem("session_pintura_desperdicio_tela", 10);
sessionStorage.setItem("session_pintura_area_selec_tela", 1);
sessionStorage.setItem("session_pintura_abertura_tela", 0);
sessionStorage.setItem("session_pintura_demaos_tela", 2);
sessionStorage.setItem("session_pintura_local_revestimento_tela", 1);

//Inicializar tela de PVC
sessionStorage.setItem("session_forro_pvc_desperdicio_tela", 10);
sessionStorage.setItem("session_forro_pvc_area_selec_tela", 2);
sessionStorage.setItem("session_forro_pvc_abertura_tela", 0);
sessionStorage.setItem("session_forro_pvc_tamanho_perfil_lateral_tela", 6);
sessionStorage.setItem("session_forro_pvc_tamanho_perfil_central_tela", 6);
sessionStorage.setItem("session_forro_pvc_sentido_peca_tela", 1);
sessionStorage.setItem("session_forro_pvc_distancia_perfis_tela", 60);

//Inicializar tela de Telha
sessionStorage.setItem("session_telha_desperdicio", 10);
sessionStorage.setItem("session_telha_area", 1);
sessionStorage.setItem("session_telha_cumeeira_selec", 1);

localforage.getItem('language_option', function(err, value) { sessionStorage.setItem('session_idioma_atual', value); });


document.onclick = function (e){
	e = e ||  window.event;
	var element = e.target || e.srcElement;
	if (element.target == "_system") {
		window.open(element.href, "_system", "location=yes");
		return false;
	}

	if (element.target == "_blank") {
		var appBrowser = window.open(element.href, "_blank", "hardwareback=Done,hardwareback=Done,toolbarposition=top,location=yes");
	
		appBrowser.addEventListener("loadstart",function(){
			navigator.notification.activityStart("Please Wait", "Its loading....");
		});
	
		appBrowser.addEventListener("loadstop",function(){
			navigator.notification.activityStop();
		});
	
		appBrowser.addEventListener("loaderror",function(){
			navigator.notification.activityStop();
			window.location = "retry.html";
		});
	
		appBrowser.addEventListener("exit",function(){
			navigator.notification.activityStop();
		});
		return false;
	}

	if (element.target == "_self") {
		var appWebview = window.open(element.href, "_blank","location=no,toolbar=no");
	
		appWebview.addEventListener("loadstart",function(){
			navigator.notification.activityStart("Please Wait", "Its loading....");
		});
	
		appWebview.addEventListener("loadstop",function(){
			navigator.notification.activityStop();
		});
	
		appWebview.addEventListener("loaderror",function(){
			navigator.notification.activityStop();
			window.location = "retry.html";
		});
	
		appWebview.addEventListener("exit",function(){
			navigator.notification.activityStop();
		});
		return false;
	}
};
